Legend

Forum

Unread topics or posts

Topic

Unread posts

Locked

Announcement

Forums > Questions

Please update the Firefox Add-on for Firefox 4



AuthorMessage
piyush_soni

Posted: Oct 27, 2010
Score: 1



Many people have started using Firefox 4.0 betas already. I tested it, the add-on works perfectly fine if we just change the maxVersion there - so it should be a minute's work.

Thanks!
piyush_soni

Posted: Jan 16, 2011
Score: 0



They just released FF 4.0 Beta 9 and the add on stopped working, as the maxVersion in it is marked as 4.0b8 :( . How about updating it to 4.0*? They've done a functionality freeze for betas, so I don't expect that there will be any change which could potentially break your add-on before their final release.

Thanks!


This message was edited Jan 16, 2011.
Jake

Toodledo Admin
Posted: Jan 16, 2011
Score: 0



Its hard to keep up with all the betas, but we'll make an effort to get the plugin updated to run on the most recent version. In the meantime, you can quickly edit it yourself if you are running a beta.
piyush_soni

Posted: Feb 11, 2011
Score: 0



As I said before (with a typo) if you write 4.0.* as the max version, you will not need to 'keep up' with the betas, release candidates, or the first official release as well (which will take care of a long time). Currently we are forced to download, save as, unzip, open, change, save again, rename and then install for each machine and for each release you make. Big cycle.

Thanks...
Jake

Toodledo Admin
Posted: Feb 14, 2011
Score: 0



This may have changed, but when we made our last update and submitted it to Mozilla, they did not allow a 4.0.* version string, which is why it is pegged to a beta version right now.
piyush_soni

Posted: Feb 14, 2011
Score: 0



Could have been the case. Currently though, some of the most popular extensions (including GreaseMonkey and Stylish) are using the 4.0.* version string so it is certainly working now.
piyush_soni

Posted: Feb 14, 2011
Score: 0



Oh, btw, the version uploaded to Mozilla's website is pretty old now it seems - though I think it might not be important if most of the people download it from your website itself.
Jake

Toodledo Admin
Posted: Feb 14, 2011
Score: 0



Submitting to Mozilla is pretty tedious and takes forever to go through review, so we don't submit every version to them.
You cannot reply yet


To participate in these forums, you must be signed in.



Toodledo Forums > Questions